Staff
The staff resource represents contacts who are staff.
Staff object
{
"id": "0198a8c5-6892-7002-af5a-ffhhtnvv2i8w",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"contact": "0198a641-c073-7b0b-9d02-815da6c4214a",
"staff_identifier": "90001",
"status": "01988bb8-2097-77db-a2e0-585135874b2a",
"position": "Executive Director",
"date_start": "2017-09-01",
"date_end": null,
"notes": null,
"meta": null,
"archived_at": null,
"created_at": "2025-08-14 13:29:26",
"updated_at": "2025-09-17 18:23:10"
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- contactrequired stringUnique ID of the contact.
- staff_identifiernullable stringUnique identifier for the staff within the tenant.
- statusnullable stringUnique ID of the status.
- positionnullable stringPosition title of the staff.
- date_startrequired stringUTC timestamp of when the staff started.
- date_endnullable stringUTC timestamp of when the staff ended.
- notesnullable stringNotes about the staff.
- metanullable objectAdditional metadata about the staff.
- archived_atnullable stringUTC timestamp of when the record was archived.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create a staff
POST /tenants/{tenantId}/staff
The request body must include a staff object.
Required permissions
staff:create contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Staff object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
| 409 | Conflict | Staff identifier already exists for tenant | Error object |
List staff
GET /tenants/{tenantId}/staff
Required permissions
staff:read contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of staff objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a staff
GET /tenants/{tenantId}/staff/{id}
Required permissions
staff:read contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Staff object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or staff ID not found | Error object |
Update a staff
PATCH /tenants/{tenantId}/staff/{id}
The request body must include parts of a staff object.
Required permissions
staff:update contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated staff record | Staff object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or staff ID not found | Error object |
| 409 | Conflict | Staff identifier already exists for tenant | Error object |
Delete a staff
DELETE /tenants/{tenantId}/staff/{id}
Required permissions
staff:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?